<!doctype html>
<html>
<head>
    <title>Tor in Google Summer of Code 2012 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor in Google Summer of Code 2012 | Tor Project">
    <meta property="og:description" content="Interested in coding on Tor and getting paid for it by Google? If you are a student, we have...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-google-summer-code-2012/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor in Google Summer of Code 2012
      </h1>
    <p class="meta">by atagar | March 17, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Interested in coding on Tor and getting paid for it by Google? If you are a student, we have good news for you: We have been <a href="https://www.google-melange.com/gsoc/accepted_orgs/google/gsoc2012" rel="nofollow">accepted</a> as a mentoring organization for <a href="https://www.google-melange.com/gsoc/homepage/google/gsoc2012" rel="nofollow">Google Summer of Code 2012</a> together with <a href="https://www.eff.org/" rel="nofollow">The Electronic Frontier Foundation</a>! Woo!</p>

<p>Here are the facts: The summer of code gives you the opportunity to work on your own Tor-related coding project with one of the Tor developers as your mentor. You can apply for a coding project related to Tor itself or to one of its many <a href="https://www.torproject.org/getinvolved/volunteer.html.en#Projects" rel="nofollow">supplemental projects</a> (as well as for an <a href="https://trac.torproject.org/projects/tor/wiki/doc/HTTPSEverywhere/GSOC-2012" rel="nofollow">EFF-related project</a>). Your mentor will help you when you're stuck with your project and guide you in becoming part of the Tor community. Google pays you 5,000 USD for the three months of your project, so that you can focus on coding and don't have to worry about how to pay your bills.</p>

<p>Did we catch your attention? These are your next steps: Go look at the <a href="https://www.google-melange.com/gsoc/document/show/gsoc_program/google/gsoc2012/faqs" rel="nofollow">Google Summer of Code FAQ</a> to make sure you are eligible to participate. Have a look at our <a href="https://www.torproject.org/about/gsoc.html.en#Ideas" rel="nofollow">ideas list</a> to see if one of those projects matches your interests. If there is no project on that list that you'd want to work on, read the <a href="https://www.torproject.org/documentation.html.en" rel="nofollow">documentation on our website</a> and make up your own project idea! Come to <a href="https://www.torproject.org/about/contact.html.en#irc" rel="nofollow">#tor-dev on OFTC</a> and let us know about your project idea. Communication is essential to success in the summer of code, and we're unlikely to accept students we haven't heard from before reading their application. So really, come to the IRC channel and talk to us!</p>

<p>Finally, write down your project idea using our <a href="https://www.torproject.org/about/gsoc.html.en#Template" rel="nofollow">template</a> and <a href="https://www.google-melange.com/gsoc/document/show/gsoc_program/google/gsoc2012/faqs#student_apply" rel="nofollow">submit your application</a> to Google until <a href="https://www.google-melange.com/gsoc/events/google/gsoc2012" rel="nofollow">April 6, 2012</a>.</p>

<p>We are looking forward to discussing your project idea with you!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/internships">
          internships
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-14965"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-14965" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2012</p>
    </div>
    <a href="#comment-14965">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-14965" class="permalink" rel="bookmark">Maybe I am just paranoid,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe I am just paranoid, but wouldn't working with Google be akin to sleeping with the enemy?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
